<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.xisc.pm.infra.mapper.PmSmallPltPosMapper">

	<delete id="deleteByMatNo">
		delete from PM_SMALL_PLT_POS 
		where TENANT_ID = #{tenantId}
		and PD_MAT_NO in
		<foreach collection="removePdMatNo" item="matNo" open="(" close=")" separator=",">
			#{matNo}
		</foreach>
	</delete>
	
	<select id="selectMaxSmallDivNoBySlabNo" resultType="java.lang.String">
		select max(SMALL_PLATE_DIV_NO) as SMALL_PLATE_DIV_NO from PM_SMALL_PLT_POS where SLAB_NO = #{slabNo} and TENANT_ID = #{tenantId}
	</select>
    
</mapper>